with import <nixpkgs> {};
stdenv.mkDerivation rec {
  name = "yjp-${version}";
  version = "2015-build-15056";

  src = fetchzip {
    url = https://www.yourkit.com/download/yjp-2015-build-15056.zip;
    sha256 = "0y3d3fs91w0qbdvbm4nr02rmkbqmndl7j4rhxwzibs815ci659jn";
  };

  buildInputs = [ unzip makeWrapper ];

  installPhase = ''
    mkdir -p $out
    cp -ra ./ $out/yjp
    chmod +x $out/yjp/bin/*/yjp_dc
    makeWrapper $out/yjp/bin/yjp.sh $out/bin/yjp \
      --prefix PATH : ${jdk}
  '';
}
